import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import classNames from 'classnames';
import { Popover } from '@servicetitan/design-system';
import * as Styles from '../feature-spotlight.module.css';
export const FeaturePopover = ({ children, footer, header, ...rest }) => {
    return (_jsxs(Popover, { className: classNames(Styles.featurePopover), caret: { show: true, className: Styles.featurePopoverCaret }, padding: "m", ...rest, children: [header && (_jsx(Popover.Header, { className: classNames(Styles.featurePopoverHeader), children: header })), children, footer && (_jsx(Popover.Footer, { className: classNames(Styles.featurePopoverFooter), align: "right", children: footer }))] }));
};
//# sourceMappingURL=feature-popover.js.map