import { jsx as _jsx } from "react/jsx-runtime";
import classNames from 'classnames';
import { Toast } from '@servicetitan/design-system';
import * as Styles from '../feature-spotlight.module.css';
export const FeatureToast = ({ center, ...rest }) => {
    return (_jsx(Toast, { className: classNames(Styles.featureToast, center && Styles.featureToastCenter), ...rest }));
};
//# sourceMappingURL=feature-toast.js.map